Name:           ladspa-vocoder-plugins
Version:        0.3
Release:        1%{?dist}
Summary:        LADSPA Vocoder Plugin
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://www.sirlab.de/linux/download_vocoder_ladspa.html
Source0:        http://www.sirlab.de/linux/download/vocoder-ladspa-%{version}.tgz
Patch0:		ladspa-vocoder-plugins-0.3-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa

%description
This is the version of vocoder that runs as a LADSPA plugin so it can be
used from within other programs. Josh Green, author of Swami, has done the
adaption of the original standalone program.

%prep
%setup -q -n vocoder-%{version}
%patch0 -p1
%{__perl} -p -i -e "s|/usr/local/lib/ladspa|\\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} DESTDIR=%{buildroot} install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYRIGHT README
%{_libdir}/ladspa/*.so


%changelog
* Tue Jul  8 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr> 0.3-1
- initial build

